## jmunit.framework.cldc11
Interface TestListener

All Known Implementing Classes:
  ConsoleListener, GuiListener

    public interface TestListener

The TestListener interface defines methods that a class that wants to know the results of a test must implement.

Since:
  JMUnit 1.1
Author:
  C.A. Meijer

Method Summary
`void` `addError(java.lang.Class testClass, java.lang.String test, java.lang.Throwable t)` An error occurred.
`void` `addFailure(java.lang.Class testClass, java.lang.String test, AssertionFailedException t)` An failure occurred.
`void` `clear()` The test results have been cleared.
`void` `endTest(java.lang.Class testClass, java.lang.String test)` A test ended.
`void` `startTest(java.lang.Class testClass, java.lang.String test)` A test started.

Method Detail

### addError

    void addError(java.lang.Class testClass,
                  java.lang.String test,
                  java.lang.Throwable t)

  An error occurred.

  Parameters:
    `testClass` - The Class associated with the test.
    `test` - The test that reported an error.
    `t` - The error.
  Since:
    JMUnit 1.1.

### addFailure

    void addFailure(java.lang.Class testClass,
                    java.lang.String test,
                    AssertionFailedException t)

  An failure occurred.

  Parameters:
    `testClass` - The Class associated with the test.
    `test` - The test that reported a failure.
    `t` - The failure.
  Since:
    JMUnit 1.1.

### endTest

    void endTest(java.lang.Class testClass,
                 java.lang.String test)

  A test ended.

  Parameters:
    `testClass` - The Class associated with the test.
    `test` - The test that ended.
  Since:
    JMUnit 1.1.

### startTest

    void startTest(java.lang.Class testClass,
                   java.lang.String test)

  A test started.

  Parameters:
    `testClass` - The Class associated with the test.
    `test` - The test that started.
  Since:
    JMUnit 1.1.

### clear

    void clear()

  The test results have been cleared.

  Since:
    JMUnit 1.1.